Reorder active tab in Vue Tab component

25 May 202417 minutes to read

We can able to prevent the changing of the active tab item on resizing the browser when overflow mode is popup by using the reorderActiveTab property. By default, the active Tab should be reordered when we click the tab items from the popup. If we set false to reorderActiveTab property the active tab item from the popup will not be reordered and an active item is highlighted inside the popup. The following code example depicts to prevent the reorder active tab item inside the popup.

<template>
  <div id='container'>
    <ejs-tab id='element' ref="element" heightAdjustMode='Auto' overflowMode='Popup' reorderActiveTab='false'
      height='150px' width='700px'>
      <e-tabitems>
        <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
        <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
        <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
        <e-tabitem :header='headerText3' :content="content3"></e-tabitem>
        <e-tabitem :header='headerText4' :content="content4"></e-tabitem>
        <e-tabitem :header='headerText5' :content="content5"></e-tabitem>
        <e-tabitem :header='headerText6' :content="content6"></e-tabitem>
        <e-tabitem :header='headerText7' :content="content7"></e-tabitem>
        <e-tabitem :header='headerText8' :content="content8"></e-tabitem>
        <e-tabitem :header='headerText9' :content="content9"></e-tabitem>
        <e-tabitem :header='headerText10' :content="content10"></e-tabitem>
        <e-tabitem :header='headerText11' :content="content11"></e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</template>
<script setup>

import { TabComponent as EjsTab, TabItemsDirective as ETabitems, TabItemDirective as ETabitem } from '@syncfusion/ej2-vue-navigations';

const headerText0 = { text: 'HTML' };
const headerText1 = { text: 'C Sharp(C#)' };
const headerText2 = { text: 'Java' };
const headerText3 = { text: 'VB.Net' };
const headerText4 = { text: 'Xamarin' };
const headerText5 = { text: 'ASP.NET' };
const headerText6 = { text: 'ASP.NET MVC' };
const headerText7 = { text: 'JavaScript' };
const headerText8 = { text: 'React' };
const headerText9 = { text: 'Angular' };
const headerText10 = { text: 'Vue' };
const headerText11 = { text: 'Typescript' };
const content0 = 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to ' +
  'create web pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
  'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
  'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
  'website semantically along with cues for presentation, making it a markup language, rather than a programming language.';

const content1 = 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its ' +
  'development team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.';

const content2 = 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired ' +
  'by Oracle Corporation, that provides a system for developing application software and deploying it in a cross-platform ' +
  'computing environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
  'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
  'provide many features of native applications and can be embedded in HTML pages.';

const content3 = 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
  'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.';

const content4 = 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers ' +
  'that created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
  'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
  'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
  'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
  'as of May 2015.';

const content5 = 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
  'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
  'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
  'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
  'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
  'ASP.NET components to process SOAP messages.';

const content6 = 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
  'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
  'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
  'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.';

const content7 = 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
  'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
  'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
  'both game development and the creation of desktop applications.';

const content8 = 'React is a free and open-source front-end JavaScript library for building user interfaces based on UI components. It is maintained by Meta and a community of individual developers and companies.';

const content9 = 'Angular is a TypeScript-based free and open-source web application framework led by the Angular Team at Google and by a community of individuals and corporations. Angular is a complete rewrite from the same team that built AngularJS';

const content10 = 'Vue.js is an open-source model–view–viewmodel front end JavaScript framework for building user interfaces and single-page applications. It was created by Evan You, and is maintained by him and the rest of the active core team members.';

const content11 = 'TypeScript is a programming language developed and maintained by Microsoft. It is a strict syntactical superset of JavaScript and adds optional static typing to the language. TypeScript is designed for the development of large applications and transcompiles to JavaScript.';

</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";

#app {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.e-content .e-item {
  font-size: 12px;
  margin: 10px;
  text-align: justify;
}

#element {
  margin-top: 80px;
  margin-left: 80px;
}

#default {
  margin-top: 15px;
}
</style>
<template>
  <div id='container'>
    <ejs-tab id='element' ref="element" heightAdjustMode='Auto' overflowMode='Popup' reorderActiveTab='false'
      height='150px' width='700px'>
      <e-tabitems>
        <e-tabitem :header='headerText0' :content="content0"></e-tabitem>
        <e-tabitem :header='headerText1' :content="content1"></e-tabitem>
        <e-tabitem :header='headerText2' :content="content2"></e-tabitem>
        <e-tabitem :header='headerText3' :content="content3"></e-tabitem>
        <e-tabitem :header='headerText4' :content="content4"></e-tabitem>
        <e-tabitem :header='headerText5' :content="content5"></e-tabitem>
        <e-tabitem :header='headerText6' :content="content6"></e-tabitem>
        <e-tabitem :header='headerText7' :content="content7"></e-tabitem>
        <e-tabitem :header='headerText8' :content="content8"></e-tabitem>
        <e-tabitem :header='headerText9' :content="content9"></e-tabitem>
        <e-tabitem :header='headerText10' :content="content10"></e-tabitem>
        <e-tabitem :header='headerText11' :content="content11"></e-tabitem>
      </e-tabitems>
    </ejs-tab>
  </div>
</template>
<script>

import { TabComponent, TabItemsDirective, TabItemDirective } from '@syncfusion/ej2-vue-navigations';

export default {
  name: "App",
  components: {
    "ejs-tab": TabComponent,
    "e-tabitems": TabItemsDirective,
    "e-tabitem": TabItemDirective
  },
  data: function () {
    return {
      headerText0: { text: 'HTML' },
      headerText1: { text: 'C Sharp(C#)' },
      headerText2: { text: 'Java' },
      headerText3: { text: 'VB.Net' },
      headerText4: { text: 'Xamarin' },
      headerText5: { text: 'ASP.NET' },
      headerText6: { text: 'ASP.NET MVC' },
      headerText7: { text: 'JavaScript' },
      headerText8: { text: 'React' },
      headerText9: { text: 'Angular' },
      headerText10: { text: 'Vue' },
      headerText11: { text: 'Typescript' },
      content0: 'HyperText Markup Language, commonly referred to as HTML, is the standard markup language used to ' +
        'create web pages. Along with CSS, and JavaScript, HTML is a cornerstone technology, used by most websites to create visually ' +
        'engaging web pages, user interfaces for web applications, and user interfaces for many mobile applications.[1] Web ' +
        'browsers can read HTML files and render them into visible or audible web pages. HTML describes the structure of a ' +
        'website semantically along with cues for presentation, making it a markup language, rather than a programming language.',

      content1: 'C# is intended to be a simple, modern, general-purpose, object-oriented programming language. Its ' +
        'development team is led by Anders Hejlsberg. The most recent version is C# 5.0, which was released on August 15, 2012.',

      content2: 'Java is a set of computer software and specifications developed by Sun Microsystems, later acquired ' +
        'by Oracle Corporation, that provides a system for developing application software and deploying it in a cross-platform ' +
        'computing environment. Java is used in a wide variety of computing platforms from embedded devices and mobile phones to ' +
        'enterprise servers and supercomputers. While less common, Java applets run in secure, sandboxed environments to ' +
        'provide many features of native applications and can be embedded in HTML pages.',

      content3: 'The command-line compiler, VBC.EXE, is installed as part of the freeware .NET Framework SDK. Mono also ' +
        'includes a command-line VB.NET compiler. The most recent version is VB 2012, which was released on August 15, 2012.',

      content4: 'Xamarin is a San Francisco, California based software company created in May 2011[3] by the engineers ' +
        'that created Mono,[4] Mono for Android and MonoTouch that are cross-platform implementations of the Common Language ' +
        'Infrastructure (CLI) and Common Language Specifications (often called Microsoft .NET). With a C#-shared codebase, ' +
        'developers can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces and share ' +
        'code across multiple platforms.[5] Xamarin has over 1 million developers in more than 120 countries around the World ' +
        'as of May 2015.',

      content5: 'ASP.NET is an open-source server-side web application framework designed for web development to produce ' +
        'dynamic web pages. It was developed by Microsoft to allow programmers to build dynamic web sites, web applications ' +
        'and web services. It was first released in January 2002 with version 1.0 of the .NET Framework, and is the successor ' +
        'to Microsoft\'s Active Server Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing ' +
        'programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension framework allows ' +
        'ASP.NET components to process SOAP messages.',

      content6: 'The ASP.NET MVC is a web application framework developed by Microsoft, which implements the ' +
        'model–view–controller (MVC) pattern. It is open-source software, apart from the ASP.NET Web Forms component which is ' +
        'proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web API, and ASP.NET Web Pages (a platform using ' +
        'only Razor pages) will merge into a unified MVC 6.The project is called ASP.NET vNext.',

      content7: 'JavaScript (JS) is an interpreted computer programming language. It was originally implemented as ' +
        'part of web browsers so that client-side scripts could interact with the user, control the browser, communicate ' +
        'asynchronously, and alter the document content that was displayed.[5] More recently, however, it has become common in ' +
        'both game development and the creation of desktop applications.',

      content8: 'React is a free and open-source front-end JavaScript library for building user interfaces based on UI components. It is maintained by Meta and a community of individual developers and companies.',

      content9: 'Angular is a TypeScript-based free and open-source web application framework led by the Angular Team at Google and by a community of individuals and corporations. Angular is a complete rewrite from the same team that built AngularJS',

      content10: 'Vue.js is an open-source model–view–viewmodel front end JavaScript framework for building user interfaces and single-page applications. It was created by Evan You, and is maintained by him and the rest of the active core team members.',

      content11: 'TypeScript is a programming language developed and maintained by Microsoft. It is a strict syntactical superset of JavaScript and adds optional static typing to the language. TypeScript is designed for the development of large applications and transcompiles to JavaScript.'
    }
  }
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-navigations/styles/material.css";
@import "../node_modules/@syncfusion/ej2-vue-dropdowns/styles/material.css";

#app {
  color: #008cff;
  height: 40px;
  left: 45%;
  position: absolute;
  top: 45%;
  width: 30%;
}

.e-content .e-item {
  font-size: 12px;
  margin: 10px;
  text-align: justify;
}

#element {
  margin-top: 80px;
  margin-left: 80px;
}

#default {
  margin-top: 15px;
}
</style>

Reorder active tab in React Tab component

29 Aug 202324 minutes to read

We can able to prevent the changing of the active tab item on resizing the browser when overflow mode is popup by using the reorderActiveTab property. By default, the active Tab should be reordered when we click the tab items from the popup. If we set false to reorderActiveTab property the active tab item from the popup will not be reordered and an active item is highlighted inside the popup. The following code example depicts to prevent the reorder active tab item inside the popup.

import * as React from 'react';
import * as ReactDOM from 'react-dom';
import {
  TabComponent,
  TabItemDirective,
  TabItemsDirective,
} from '@syncfusion/ej2-react-navigations';

const App = () => {
  let headertext;
  // Mapping Tab items Header property
  headertext = [
    { text: 'HTML' },
    { text: 'C-Sharp(C#)' },
    { text: 'Java' },
    { text: 'VB.NET' },
    { text: 'Xamarin' },
    { text: 'ASP.NET' },
    { text: 'ASP.NET MVC' },
    { text: 'JavaScript' },
    { text: 'React' },
    { text: 'Angular' },
    { text: 'Vue' },
    { text: 'Typescript' },
  ];

  const htmlContent = () => {
    return (<div>
      HyperText Markup Language, commonly referred to as HTML, is the standard markup
      language used to create web pages. Along with CSS, and JavaScript, HTML is a cornerstone
      technology, used by most websites to create visually engaging web pages, user interfaces
      for web applications, and user interfaces for many mobile applications. Web browsers
      can read HTML files and render them into visible or audible web pages. HTML describes
      the structure of a website semantically along with cues for presentation, making it a
      markup language, rather than a programming language.
    </div>
    );
  }
  const csharpContent = () => {
    return (<div> C# is intended to be a simple, modern, general-purpose, object-oriented
      programming language. Its development team is led by Anders Hejlsberg. The most recent
      version is C# 5.0, which was released on August 15, 2012</div>
    );
  }
  const javaContent = () => {
    return (<div> Java is a set of computer software and specifications developed by Sun Microsystems,
      later acquired by Oracle Corporation, that provides a system for developing application
      software and deploying it in a cross-mobile phones to platform computing environment. Java
      is used in a wide variety of computing platforms from embedded devices and enterprise servers
      and supercomputers. While less common, Java applets run in secure, sandboxed environments to
      provide many features of native applications and can be embedded in HTML pages.</div>
    );
  }
  const vbnetContent = () => {
    return (<div> The command-line compiler, VBC.EXE, is installed as part of the freeware .NET
      Framework SDK. Mono also includes a command-line VB.NET compiler. The most recent version
      is VB 2012, which was released on August 15, 2012.
    </div>
    );
  }
  const xamarinContent = () => {
    return (<div>Xamarin is a San Francisco, California based software company created in May
      2011 by the engineers that created Mono, Mono for Android and MonoTouch that are
      cross-platform implementations of the Common Language Infrastructure (CLI) and Common
      Language Specifications (often called Microsoft .NET). With a C#-shared codebase,developers
      can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces
      and share code across multiple platforms. Xamarin has over 1 million developers in more
      than 120 countries around the World as of May 2015.</div>
    );
  }
  const aspContent = () => {
    return (<div>
      ASP.NET is an open-source server-side web application framework designed for web
      development to produce dynamic web pages. It was developed by Microsoft to allow programmers
      to build dynamic web sites, web applications and web services. It was first released in January
      2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft's Active Server
      Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing
      programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension
      framework allows ASP.NET components to process SOAP messages.'
    </div>
    );
  }
  const mvcContent = () => {
    return (<div>The ASP.NET MVC is a web application framework developed by Microsoft, which implements
      the modelviewcontroller (MVC) pattern. It is open-source software, apart from the ASP.NET Web
      Forms component which is proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web
      API, and ASP.NET Web Pages (a platform using only Razor pages) will merge into a unified MVC 6.
      The project is called ASP.NET vNext.</div>
    );
  }
  const jsContent = () => {
    return (<div>
      JavaScript (JS) is an interpreted computer programming language. It was originally
      implemented as part of web browsers so that client-side scripts could interact with the
      user, control the browser, communicate asynchronously, and alter the document content that
      was displayed. More recently, however, it has become common in both game development
      and the creation of desktop applications.
    </div>);
  }
  const reactContent = () => {
    return (<div>
      React is a free and open-source front-end JavaScript library for building user interfaces based on UI components. It is maintained by Meta and a community of individual developers and companies.
    </div>);
  }
  const angularContent = () => {
    return (<div>
      Angular is a TypeScript-based free and open-source web application framework led by the Angular Team at Google and by a community of individuals and corporations. Angular is a complete rewrite from the same team that built AngularJS
    </div>);
  }
  const vueContent = () => {
    return (<div>
      Vue.js is an open-source modelviewviewmodel front end JavaScript framework for building user interfaces and single-page applications. It was created by Evan You, and is maintained by him and the rest of the active core team members.
    </div>);
  }
  const tsContent = () => {
    return (<div>
      TypeScript is a programming language developed and maintained by Microsoft. It is a strict syntactical superset of JavaScript and adds optional static typing to the language. TypeScript is designed for the development of large applications and transcompiles to JavaScript.
    </div>);
  }
  return (
    <TabComponent
      heightAdjustMode="Auto"
      overflowMode="Popup"
      reorderActiveTab={false}
    >
      <TabItemsDirective>
        <TabItemDirective header={headertext[0]} content={htmlContent} />
        <TabItemDirective header={headertext[1]} content={csharpContent} />
        <TabItemDirective header={headertext[2]} content={javaContent} />
        <TabItemDirective header={headertext[3]} content={vbnetContent} />
        <TabItemDirective header={headertext[4]} content={xamarinContent} />
        <TabItemDirective header={headertext[5]} content={aspContent} />
        <TabItemDirective header={headertext[6]} content={mvcContent} />
        <TabItemDirective header={headertext[7]} content={jsContent} />
        <TabItemDirective header={headertext[8]} content={reactContent} />
        <TabItemDirective header={headertext[9]} content={angularContent} />
        <TabItemDirective header={headertext[10]} content={vueContent} />
        <TabItemDirective header={headertext[11]} content={tsContent} />
      </TabItemsDirective>
    </TabComponent>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<App />);
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import {
  TabComponent,
  TabItemDirective,
  TabItemsDirective,
} from '@syncfusion/ej2-react-navigations';

const App = () => {
  let headertext: any;
  // Mapping Tab items Header property
  headertext = [
    { text: 'HTML' },
    { text: 'C-Sharp(C#)' },
    { text: 'Java' },
    { text: 'VB.NET' },
    { text: 'Xamarin' },
    { text: 'ASP.NET' },
    { text: 'ASP.NET MVC' },
    { text: 'JavaScript' },
    { text: 'React' },
    { text: 'Angular' },
    { text: 'Vue' },
    { text: 'Typescript' },
  ];

  const htmlContent = () => {
    return (<div>
      HyperText Markup Language, commonly referred to as HTML, is the standard markup
      language used to create web pages. Along with CSS, and JavaScript, HTML is a cornerstone
      technology, used by most websites to create visually engaging web pages, user interfaces
      for web applications, and user interfaces for many mobile applications. Web browsers
      can read HTML files and render them into visible or audible web pages. HTML describes
      the structure of a website semantically along with cues for presentation, making it a
      markup language, rather than a programming language.
    </div>
    );
  }
  const csharpContent = () => {
    return (<div> C# is intended to be a simple, modern, general-purpose, object-oriented
      programming language. Its development team is led by Anders Hejlsberg. The most recent
      version is C# 5.0, which was released on August 15, 2012</div>
    );
  }
  const javaContent = () => {
    return (<div> Java is a set of computer software and specifications developed by Sun Microsystems,
      later acquired by Oracle Corporation, that provides a system for developing application
      software and deploying it in a cross-mobile phones to platform computing environment. Java
      is used in a wide variety of computing platforms from embedded devices and enterprise servers
      and supercomputers. While less common, Java applets run in secure, sandboxed environments to
      provide many features of native applications and can be embedded in HTML pages.</div>
    );
  }
  const vbnetContent = () => {
    return (<div> The command-line compiler, VBC.EXE, is installed as part of the freeware .NET
      Framework SDK. Mono also includes a command-line VB.NET compiler. The most recent version
      is VB 2012, which was released on August 15, 2012.
    </div>
    );
  }
  const xamarinContent = () => {
    return (<div>Xamarin is a San Francisco, California based software company created in May
      2011 by the engineers that created Mono, Mono for Android and MonoTouch that are
      cross-platform implementations of the Common Language Infrastructure (CLI) and Common
      Language Specifications (often called Microsoft .NET). With a C#-shared codebase,developers
      can use Xamarin tools to write native Android, iOS, and Windows apps with native user interfaces
      and share code across multiple platforms. Xamarin has over 1 million developers in more
      than 120 countries around the World as of May 2015.</div>
    );
  }
  const aspContent = () => {
    return (<div>
      ASP.NET is an open-source server-side web application framework designed for web
      development to produce dynamic web pages. It was developed by Microsoft to allow programmers
      to build dynamic web sites, web applications and web services. It was first released in January
      2002 with version 1.0 of the .NET Framework, and is the successor to Microsoft's Active Server
      Pages (ASP) technology. ASP.NET is built on the Common Language Runtime (CLR), allowing
      programmers to write ASP.NET code using any supported .NET language. The ASP.NET SOAP extension
      framework allows ASP.NET components to process SOAP messages.'
    </div>
    );
  }
  const mvcContent = () => {
    return (<div>The ASP.NET MVC is a web application framework developed by Microsoft, which implements
      the modelviewcontroller (MVC) pattern. It is open-source software, apart from the ASP.NET Web
      Forms component which is proprietary. In the later versions of ASP.NET, ASP.NET MVC, ASP.NET Web
      API, and ASP.NET Web Pages (a platform using only Razor pages) will merge into a unified MVC 6.
      The project is called ASP.NET vNext.</div>
    );
  }
  const jsContent = () => {
    return (<div>
      JavaScript (JS) is an interpreted computer programming language. It was originally
      implemented as part of web browsers so that client-side scripts could interact with the
      user, control the browser, communicate asynchronously, and alter the document content that
      was displayed. More recently, however, it has become common in both game development
      and the creation of desktop applications.
    </div>);
  }
  const reactContent = () => {
    return (<div>
      React is a free and open-source front-end JavaScript library for building user interfaces based on UI components. It is maintained by Meta and a community of individual developers and companies.
    </div>);
  }
  const angularContent = () => {
    return (<div>
      Angular is a TypeScript-based free and open-source web application framework led by the Angular Team at Google and by a community of individuals and corporations. Angular is a complete rewrite from the same team that built AngularJS
    </div>);
  }
  const vueContent = () => {
    return (<div>
      Vue.js is an open-source modelviewviewmodel front end JavaScript framework for building user interfaces and single-page applications. It was created by Evan You, and is maintained by him and the rest of the active core team members.
    </div>);
  }
  const tsContent = () => {
    return (<div>
      TypeScript is a programming language developed and maintained by Microsoft. It is a strict syntactical superset of JavaScript and adds optional static typing to the language. TypeScript is designed for the development of large applications and transcompiles to JavaScript.
    </div>);
  }
  return (
    <TabComponent
      heightAdjustMode="Auto"
      overflowMode="Popup"
      reorderActiveTab={false}
    >
      <TabItemsDirective>
        <TabItemDirective header={headertext[0]} content={htmlContent} />
        <TabItemDirective header={headertext[1]} content={csharpContent} />
        <TabItemDirective header={headertext[2]} content={javaContent} />
        <TabItemDirective header={headertext[3]} content={vbnetContent} />
        <TabItemDirective header={headertext[4]} content={xamarinContent} />
        <TabItemDirective header={headertext[5]} content={aspContent} />
        <TabItemDirective header={headertext[6]} content={mvcContent} />
        <TabItemDirective header={headertext[7]} content={jsContent} />
        <TabItemDirective header={headertext[8]} content={reactContent} />
        <TabItemDirective header={headertext[9]} content={angularContent} />
        <TabItemDirective header={headertext[10]} content={vueContent} />
        <TabItemDirective header={headertext[11]} content={tsContent} />
      </TabItemsDirective>
    </TabComponent>
  );
}
const root = ReactDOM.createRoot(document.getElementById('element'));
root.render(<App />);
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React Tab</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/material.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='container'>
        <div id='element'>
                <div id='loader'>Loading</div>
        </div>
    </div>
</body>

</html>

Reorder active tab in Angular Tab component

19 Sep 20259 minutes to read

We can able to prevent the changing of the active tab item on resizing the browser when overflow mode is popup by using the reorderActiveTab property. By default, the active Tab should be reordered when we click the tab items from the popup. If we set false to reorderActiveTab property the active tab item from the popup will not be reordered and an active item is highlighted inside the popup. The following code example depicts to prevent the reorder active tab item inside the popup.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { TabModule } from '@syncfusion/ej2-angular-navigations'




import { Component, OnInit } from '@angular/core';
import { Tab, TabComponent} from '@syncfusion/ej2-angular-navigations';

/**
 * Add nested Tabs
 */

@Component({
imports: [
         FormsModule, TabModule
    ],


standalone: true,
    selector: 'app-container',
 template: `
        <ejs-tab id="element" #tab [items]='tabItems' overflowMode='Popup'
        heightAdjustMode='Auto' [reorderActiveTab]='reorderActiveTab'>
        </ejs-tab>`,
})
export class AppComponent implements OnInit {
  public tabItems?: Object[];
  reorderActiveTab?: boolean;

  public ngOnInit(): void {
    this.reorderActiveTab = false;
    this.tabItems = [
      {
        header: { text: 'India' },
        content:
          'India officially the Republic of India, is a country in South Asia. It is the seventh-largest country by area, the second-most populous country with over 1.2 billion people, and the most populous democracy in the world. Bounded by the Indian Ocean on the south, the Arabian Sea on the south-west, and the Bay of Bengal on the south-east, it shares land borders with Pakistan to the west;China, Nepal, and Bhutan to the north-east; and Burma and Bangladesh to the east. In the Indian Ocean, India is in the vicinity of Sri Lanka and the Maldives; in addition, India Andaman and Nicobar Islands share a maritime border with Thailand and Indonesia.',
      },
      {
        header: { text: 'Canada' },
        content:
          'Canada is a North American country stretching from the U.S. in the south to the Arctic Circle in the north. Major cities include massive Toronto, west coast film centre Vancouver, French-speaking Montréal and Québec City, and capital city Ottawa. Canada vast swaths of wilderness include lake-filled Banff National Park in the Rocky Mountains. It also home to Niagara Falls, a famous group of massive waterfalls.',
      },
      {
        header: { text: 'Australia' },
        content:
          "Australia, officially the Commonwealth of Australia, is a country comprising the mainland of the Australian continent, the island of Tasmania and numerous smaller islands. It is the world sixth-largest country by total area. Neighboring countries include Indonesia, East Timor and Papua New Guinea to the north; the Solomon Islands, Vanuatu and New Caledonia to the north-east; and New Zealand to the south-east.  <br/><br/>India is a vast South Asian country with diverse terrain – from Himalayan peaks to Indian Ocean coastline – and history reaching back 5 millennia. In the north, Mughal Empire and marks include Delhi's Red Fort complex and massive Jama Masjid mosque, plus Agras iconic Taj Mahal mausoleum. Pilgrims bathe in the Ganges in Varanasi, and Rishikesh is a yoga centre  and base for Himalayan trekking.",
      },
      {
        header: { text: 'USA' },
        content:
          'The United States of America (USA or U.S.A.), commonly called the United States (US or U.S.) and America, is a federal republic consisting of fifty states and a federal district. The 48 contiguous states and the federal district of Washington, D.C. are in central North America between Canada and Mexico. The state of Alaska is west of Canada and east of Russia across the Bering Strait, and the state of Hawaii is in the mid-North Pacific. The country also has five populated and nine unpopulated territories in the Pacific and the Caribbean.',
      },
      {
        header: { text: 'London' },
        content:
          'London, the capital of England and the United Kingdom, is a 21st-century city with history stretching back to Roman times. At its centre stand the imposing Houses of Parliament, the iconic ‘Big Ben’ clock tower and Westminster Abbey, site of British monarch coronations. Across the Thames River, the London Eye observation wheel provides panoramic views of the South Bank cultural complex, and the entire city.',
      },
      {
        header: { text: 'Germany' },
        content:
          'Germany is a Western European country with a landscape of forests, rivers, mountain ranges and North Sea beaches. It has over 2 millennia of history. Berlin, its capital, is home to art and nightlife scenes, the Brandenburg Gate and many sites relating to WWII. Munich is known for its Oktoberfest and beer halls, including the 16th-century Hofbräuhaus. Frankfurt, with its skyscrapers, houses the European Central Bank.',
      },
      {
        header: { text: 'France' },
        content:
          'France, officially the French Republic is a sovereign state comprising territory in western Europe and several overseas regions and territories. The European part of France, called Metropolitan France, extends from the Mediterranean Sea to the English Channel and the North Sea, and from the Rhine to the Atlantic Ocean; France covers 640,679 square kilo metres and as of August 2015 has a population of 67 million, counting all the overseas departments and territories.',
      },
      {
        header: { text: 'Sweden' },
        content:
          'Sweden is a Scandinavian nation with thousands of coastal islands and inland lakes, along with vast boreal forests and glaciated mountains. Its principal cities, eastern capital Stockholm and southwestern Gothenburg and Malmö, are all coastal. Stockholm is built on 14 islands. It has more than 50 bridges, as well as the medieval old town, Gamla Stan, royal palaces and museums such as open-air Skansen.',
      },
      {
        header: { text: 'Africa' },
        content:
          'Africa is the world second-largest and second-most-populous continent. At about 30.3 million km² including adjacent islands, it covers 6% of Earth total surface area and 20.4% of its total land area',
      },
      {
        header: { text: 'Japan' },
        content:
          'Japan is an island nation in the Pacific Ocean with dense cities, imperial palaces, mountainous national parks and thousands of shrines and temples. Shinkansen bullet trains connect the main islands of Kyushu, Honshu (home to Tokyo and Hiroshima’s atomic-bomb memorial) and Hokkaido (famous for skiing). Tokyo, the capital, is known for skyscrapers, shopping and pop culture.',
      },
      {
        header: { text: 'Malaysia' },
        content:
          'Malaysia is a Southeast Asian country occupying parts of the Malay Peninsula and the island of Borneo. It known for its beaches, rainforests and mix of Malay, Chinese, Indian and European cultural influences. The capital, Kuala Lumpur, is home to colonial buildings, busy shopping districts such as Bukit Bintang and skyscrapers such as the iconic, 451m-tall Petronas Twin Towers.',
      },
      {
        header: { text: 'Singapore' },
        content:
          'Singapore, an island city-state off southern Malaysia, is a global financial center with a tropical climate and multicultural population. Its colonial core centers on the Padang, a cricket field since the 1830s and now flanked by grand buildings such as City Hall, with its 18 Corinthian columns. In Singapore circa-1820 Chinatown stands the red-and-gold Buddha Tooth Relic Temple, said to house one of Buddha teeth.',
      },
    ];
  }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));